//---------------------------------------------------------------------------
/**
 *  @file ACEAppExpert.cpp
 *
 *  $Id: ACEAppExpert.cpp,v 1.2 2001/05/18 11:07:00 chris Exp $
 *
 *  @author Christopher Kohlhoff <chris@kohlhoff.com>
 *
 *  This file contains the expert used to create an ACE project.
 */
//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include <memory>
#include <Registry.hpp>
#include "ACEAppExpert.h"
#include "ACEAppDlg.h"
#include "ProjectCreator.h"
//---------------------------------------------------------------------------
String __stdcall TACEAppExpert::GetName()
{
  return "ACE Application";
}
//---------------------------------------------------------------------------
String __stdcall TACEAppExpert::GetComment()
{
  return "Create a new ACE application";
}
//---------------------------------------------------------------------------
HICON __stdcall TACEAppExpert::GetGlyph()
{
  try
  {
    return LoadIcon(HInstance, "ACEApp");
  }
  catch (...)
  {
    ToolServices->RaiseException(ReleaseException());
    return 0;
  }
}
//---------------------------------------------------------------------------
TExpertStyle __stdcall TACEAppExpert::GetStyle()
{
  return esProject;
}
//---------------------------------------------------------------------------
TExpertState __stdcall TACEAppExpert::GetState()
{
  return (TExpertState() << esEnabled);
}
//---------------------------------------------------------------------------
String __stdcall TACEAppExpert::GetIDString()
{
  return "ACE.App.Expert";
}
//---------------------------------------------------------------------------
void __stdcall TACEAppExpert::Execute()
{
  std::auto_ptr<TACEAppDialog> dlg(new TACEAppDialog(Application));
  dlg->ShowModal();
}
//---------------------------------------------------------------------------

