//---------------------------------------------------------------------------
/**
 *  @file ExpertBase.h
 *
 *  $Id: ExpertBase.h,v 1.2 2001/05/18 11:07:01 chris Exp $
 *
 *  @author Christopher Kohlhoff <chris@kohlhoff.com>
 *
 *  This file contains the base class for all of the experts.
 */
//---------------------------------------------------------------------------
#ifndef ExpertBaseH
#define ExpertBaseH
//---------------------------------------------------------------------------
#include <ExptIntf.hpp>
#include <ToolIntf.hpp>
#include <VirtIntf.hpp>
//---------------------------------------------------------------------------
class __declspec(delphiclass) TExpertBase: public TIExpert
{
public:
  __fastcall TExpertBase();
  __fastcall ~TExpertBase();

  // This information must be provided by the derived expert
  virtual String __stdcall GetName() = 0;
  virtual String __stdcall GetComment() = 0;
  virtual HICON __stdcall GetGlyph() = 0;
  virtual TExpertStyle __stdcall GetStyle() = 0;
  virtual TExpertState __stdcall GetState() = 0;
  virtual String __stdcall GetIDString() = 0;

  // Dervied expert must override
  virtual void __stdcall Execute() = 0;

  // This information is common to all experts
  virtual String __stdcall GetAuthor();
  virtual String __stdcall GetPage();
  virtual String __stdcall GetMenuText();
};
//---------------------------------------------------------------------------
#endif
