//---------------------------------------------------------------------------
/**
 *  @file ProjectCreator.h
 *
 *  $Id: ProjectCreator.h,v 1.2 2001/05/18 11:07:01 chris Exp $
 *
 *  @author Christopher Kohlhoff <chris@kohlhoff.com>
 *
 *  This file contains class that is used by the IDE to create projects.
 */
//---------------------------------------------------------------------------
#ifndef ProjectCreatorH
#define ProjectCreatorH
//---------------------------------------------------------------------------
#include <ExptIntf.hpp>
#include <ToolIntf.hpp>
#include <VirtIntf.hpp>
#include <memory>
//---------------------------------------------------------------------------
class TFileGenerator;
//---------------------------------------------------------------------------
class TProjectCreator : public TIProjectCreatorEx
{
public:
  // Constructor.
  __fastcall TProjectCreator(TIToolServices* toolServices,
      TFileGenerator* generator);

  // Destructor.
  virtual __fastcall ~TProjectCreator();

  // Functions used by IDE to generate the project.
  virtual bool __stdcall Existing(void);
  virtual String __stdcall GetFileName(void);
  virtual String __stdcall GetFileSystem(void);
  virtual String __stdcall NewProjectSource(const String ProjectName);
  virtual void __stdcall NewDefaultModule(void);
  virtual void __stdcall NewProjectResource(TIModuleInterface* Module);
  virtual String __stdcall GetOptionName(void);
	virtual String __stdcall NewOptionSource(const String ProjectName);

private:
  String FAppType;
  TIToolServices* FToolServices;
  std::auto_ptr<TFileGenerator> FGenerator;
};
//---------------------------------------------------------------------------
#endif
