//---------------------------------------------------------------------------
/**
 *  @file SimpleClassExpert.h
 *
 *  $Id: SimpleClassExpert.h,v 1.2 2001/05/18 11:07:01 chris Exp $
 *
 *  @author Christopher Kohlhoff <chris@kohlhoff.com>
 *
 *  This file contains the expert used for generating all simple classes.
 */
//---------------------------------------------------------------------------
#ifndef SimpleClassExpertH
#define SimpleClassExpertH
//---------------------------------------------------------------------------
#include "ExpertBase.h"
//---------------------------------------------------------------------------
class __declspec(delphiclass) TSimpleClassExpert: public TExpertBase
{
public:
  // Constructor.
  TSimpleClassExpert(const String& prefix, const String& name,
      const String& description);

  // Functions called by the IDE to run the expert.
  virtual String __stdcall GetName();
  virtual String __stdcall GetComment();
  virtual HICON __stdcall GetGlyph();
  virtual TExpertStyle __stdcall GetStyle();
  virtual TExpertState __stdcall GetState();
  virtual String __stdcall GetIDString();
  virtual void __stdcall Execute();

private:
  String FPrefix;
  String FName;
  String FDescription;
};
//---------------------------------------------------------------------------
#endif
