//---------------------------------------------------------------------------
/**
 *  @file TAOAppExpert.cpp
 *
 *  $Id: TAOAppExpert.cpp,v 1.2 2001/05/18 11:07:01 chris Exp $
 *
 *  @author Christopher Kohlhoff <chris@kohlhoff.com>
 *
 *  This file contains the expert used to create a TAO project.
 */
//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include <memory>
#include "TAOAppExpert.h"
#include "TAOAppDlg.h"
#include "ProjectCreator.h"
//---------------------------------------------------------------------------
String __stdcall TTAOAppExpert::GetName()
{
  return "TAO Application";
}
//---------------------------------------------------------------------------
String __stdcall TTAOAppExpert::GetComment()
{
  return "Create a new TAO application";
}
//---------------------------------------------------------------------------
HICON __stdcall TTAOAppExpert::GetGlyph()
{
  try
  {
    return LoadIcon(HInstance, "TAOApp");
  }
  catch (...)
  {
    ToolServices->RaiseException(ReleaseException());
    return 0;
  }
}
//---------------------------------------------------------------------------
TExpertStyle __stdcall TTAOAppExpert::GetStyle()
{
  return esProject;
}
//---------------------------------------------------------------------------
TExpertState __stdcall TTAOAppExpert::GetState()
{
  return (TExpertState() << esEnabled);
}
//---------------------------------------------------------------------------
String __stdcall TTAOAppExpert::GetIDString()
{
  return "TAO.App.Expert";
}
//---------------------------------------------------------------------------
void __stdcall TTAOAppExpert::Execute()
{
  std::auto_ptr<TTAOAppDialog> dlg(new TTAOAppDialog(Application));
  dlg->ShowModal();
}
//---------------------------------------------------------------------------

