//---------------------------------------------------------------------------
/**
 *  @file acetaoexpert.cpp
 *
 *  $Id: acetaoexpert.cpp,v 1.2 2001/05/18 11:07:01 chris Exp $
 *
 *  @author Christopher Kohlhoff <chris@kohlhoff.com>
 *
 *  This file contains entry point used by the IDE when loading the package.
 */
//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include <ExptIntf.hpp>
#include "ACEAppExpert.h"
#include "TAOAppExpert.h"
#include "SimpleClassExpert.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------
//   Package source.
//---------------------------------------------------------------------------
int WINAPI DllEntryPoint(HINSTANCE, unsigned long, void*)
{
  return 1;
}
//---------------------------------------------------------------------------
namespace Acetaoexpert
{
  PACKAGE void __fastcall Register()
  {
    RegisterLibraryExpert(new TACEAppExpert);

    RegisterLibraryExpert(new TTAOAppExpert);

    RegisterLibraryExpert(new TSimpleClassExpert(
          "ReactorThread",
          "Reactor Thread",
          "Create a new class for running the reactor in a thread"));

    RegisterLibraryExpert(new TSimpleClassExpert(
          "ORBThread",
          "ORB Thread",
          "Create a new class for running the CORBA ORB in a thread"));

    RegisterLibraryExpert(new TSimpleClassExpert(
          "VCLMethodRequest",
          "VCL Method Request",
          "Create a new class for performing a VCL operation that must "
          "be synchronized"));
  }
}
//---------------------------------------------------------------------------
